tabix.read.table {seqminer} | R Documentation

## Read tabix file, similar to running tabix in command line.

### Description

Read tabix file, similar to running tabix in command line.

### Usage

    tabix.read.table(tabixFile, tabixRange, col.names = TRUE,
      stringsAsFactors = FALSE)

### Arguments

`tabixFile` | character, an tabix indexed file
`tabixRange` | character, a text indicating which range in the VCF file to extract. e.g. 1:100-200
`col.names` | logical, use tabix file header as result headers (default: TRUE)
`stringsAsFactors` | logical, store loaded data as factors (default: FALSE)

### Value

data frame, each elements is an individual line

### See Also

http://zhanxw.com/seqminer/ for online manual and examples

### Examples

    fileName = system.file("vcf/all.anno.filtered.extract.vcf.gz", package = "seqminer")
    snp <- tabix.read.table(fileName, "1:196623337-196632470")

[Package seqminer version 7.1 Index]